default: uniphot
help:
	@echo "make options: uniphot (default)"

include ../../Makefile.System
HOME    =       $(ROOT)/src/uniphot
BIN	=	$(HOME)/bin
LIB	=	$(HOME)/lib
SRC	=	$(HOME)/src
MAN	=	$(HOME)/doc
INC	= 	$(HOME)/include
include ../../Makefile.Common

# programs may add their own internal requirements here
FULL_CFLAGS   = $(BASE_CFLAGS)
FULL_CPPFLAGS = $(BASE_CPPFLAGS)
FULL_LDFLAGS  = -ldvo -lFITS -lohana $(BASE_LDFLAGS)

uniphot: $(BIN)/uniphot.$(ARCH)
install: $(DESTBIN)/uniphot

UNIPHOT = \
$(SRC)/uniphot.$(ARCH).o	    \
$(SRC)/initialize.$(ARCH).o	    \
$(SRC)/ConfigInit.$(ARCH).o	    \
$(SRC)/args.$(ARCH).o		    \
$(SRC)/liststats.$(ARCH).o	    \
$(SRC)/load_images.$(ARCH).o	    \
$(SRC)/subset_images.$(ARCH).o	    \
$(SRC)/find_image_tgroups.$(ARCH).o \
$(SRC)/find_image_sgroups.$(ARCH).o \
$(SRC)/fit_groups.$(ARCH).o	    \
$(SRC)/update.$(ARCH).o		    \
$(SRC)/update_catalog.$(ARCH).o	    \
$(SRC)/SetSignals.$(ARCH).o	    \
$(SRC)/Shutdown.$(ARCH).o	    \
$(SRC)/sort.$(ARCH).o

$(UNIPHOT): $(INC)/uniphot.h
$(BIN)/uniphot.$(ARCH): $(UNIPHOT)
